/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package Modelo;

/**
 *
 * @author citla
 */
public abstract class Sala {
    protected double montoRecaudado;
    protected Zona zonas [];
    protected Zona z;

    public Sala(double montoRecaudado, Zona zonas []) {
       this.montoRecaudado=montoRecaudado;
       this.zonas=zonas; 
    }

    public double getMontoRecaudado() {
        return montoRecaudado;
    }

    public void setMontoRecaudado(double montoRecaudado) {
        this.montoRecaudado = montoRecaudado;
    }
    
    public double verMontoRecaudado(Zona z){
        montoRecaudado= montoRecaudado + z.precio;
        return montoRecaudado;
    }
    
    @Override
    public String toString() {
        return "Sala{" + "montoRecaudado=" + montoRecaudado + '}';
    }
    
}
